# Uses of Interface
org.eclipse.ecf.provider.comm.ISynchAsynchEventHandler

Packages that use ISynchAsynchEventHandler
Package
Description
org.eclipse.ecf.provider.comm.tcp
org.eclipse.ecf.provider.generic

## Uses of ISynchAsynchEventHandler in org.eclipse.ecf.provider.comm.tcp

Fields in org.eclipse.ecf.provider.comm.tcp declared as ISynchAsynchEventHandler
Modifier and Type
Field
Description
`protected ISynchAsynchEventHandler`
Client.`handler`
`protected ISynchAsynchEventHandler`
SSLClient.`handler`
Constructors in org.eclipse.ecf.provider.comm.tcp with parameters of type ISynchAsynchEventHandler
Modifier
Constructor
Description
``
`Client(Socket aSocket, ObjectInputStream iStream, ObjectOutputStream oStream, ISynchAsynchEventHandler handler)`
``
`Client(Socket aSocket, ObjectInputStream iStream, ObjectOutputStream oStream, ISynchAsynchEventHandler handler, int maxmsgs)`
``
`Client(ISynchAsynchEventHandler handler, int keepAlive)`
``
`SSLClient(Socket aSocket, ObjectInputStream iStream, ObjectOutputStream oStream, ISynchAsynchEventHandler handler)`
``
`SSLClient(Socket aSocket, ObjectInputStream iStream, ObjectOutputStream oStream, ISynchAsynchEventHandler handler, int maxmsgs)`
``
`SSLClient(ISynchAsynchEventHandler handler, int keepAlive)`

## Uses of ISynchAsynchEventHandler in org.eclipse.ecf.provider.generic

Fields in org.eclipse.ecf.provider.generic declared as ISynchAsynchEventHandler
Modifier and Type
Field
Description
`protected ISynchAsynchEventHandler`
SOContainer.`receiver`
Methods in org.eclipse.ecf.provider.generic that return ISynchAsynchEventHandler
Modifier and Type
Method
Description
`ISynchAsynchEventHandler`
SOContainer.`getMessageReceiver()`
`protected ISynchAsynchEventHandler`
SOContainer.`getReceiver()`